API ReferenceQuotes

Create Quote

Deprecated

POST
/v2/quotes

Please use POST /fxquotes endpoint instead

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

An object used for creating a bulk quote request.

Response Body

application/json

curl -X POST "https://example.com/v2/quotes" \  -H "Content-Type: application/json" \  -d '{    "quotes": [      {        "buy": {          "currency": "GBP"        },        "sell": {          "currency": "GBP"        }      }    ]  }'
{  "expires": "2019-08-24T14:15:22Z",  "fxDetails": [    {      "buy": {        "amount": 80,        "currency": "GBP"      },      "fixedAmountType": "NotSet",      "rate": {        "baseCurrency": "GBP",        "buyCurrency": "GBP",        "inverseRate": 0,        "rate": 0,        "sellCurrency": "GBP"      },      "remainingBuyForward": {        "amount": 80,        "currency": "GBP"      },      "remainingSellForward": {        "amount": 80,        "currency": "GBP"      },      "sell": {        "amount": 80,        "currency": "GBP"      },      "effectiveDate": "2019-08-24",      "quoteType": "Spot",      "remainingToDisburse": {        "amount": 80,        "currency": "GBP"      },      "valueDate": "2019-08-24"    }  ],  "quoteTime": "2019-08-24T14:15:22Z",  "clientTransferNumber": "string",  "quoteId": "string",  "status": "NotSet",  "summary": [    {      "initialMargin": {        "amount": 0,        "currency": "GBP"      },      "remainingSettlement": {        "amount": 0,        "currency": "GBP",        "valueDate": "2019-08-24"      },      "settlementAmount": {        "amount": 0,        "currency": "GBP"      },      "settlementFees": {        "amount": 0,        "currency": "GBP"      }    }  ]}
{  "code": 0,  "failureDateTime": "2019-08-24T14:15:22Z",  "longErrorMsg": "string",  "shortErrorMsg": "string",  "traceErrorId": "string",  "typeOfFailure": "MODEL_VALIDATION"}
Empty
Empty
Get help